Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::point_set_node Class Reference

Inheritance diagram for openvrml::vrml97_node::point_set_node:

[legend]
List of all members.

## Detailed Description

Represents PointSet node instances.

## Public Member Functions

| point_set_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~point_set_node () throw ()
| Destroy.
virtual bool | modified () const
| Determine whether the node has been modified.
virtual const openvrml::bounding_volume & | bounding_volume () const
| Get the bounding volume.

## Private Member Functions

virtual viewer::object_t | do_render_geometry (openvrml::viewer &viewer, rendering_context context)
| Insert this geometry into `viewer's` display list.
virtual bool | do_emissive () const throw ()
| Indicate that point sets should be drawn with the emissive color.
void | recalcBSphere ()
| Recalculate the bounding volume.

## Private Attributes

exposedfield< sfnode > | color_
| color exposedField.
exposedfield< sfnode > | coord_
| coord exposedField.
bounding_sphere | bsphere
| Bounding volume.

## Friends

class | point_set_class
| Class object for PointSet instances.

## Constructor & Destructor Documentation

openvrml::vrml97_node::point_set_node::point_set_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::point_set_node::~point_set_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

bool openvrml::vrml97_node::point_set_node::modified | ( |  | ) | const`[virtual]`

Determine whether the node has been modified.

Returns:
  `true` if the node or one of its children has been modified, `false` otherwise.

Reimplemented from openvrml::node.

const bounding_volume & openvrml::vrml97_node::point_set_node::bounding_volume | ( |  | ) | const`[virtual]`

Get the bounding volume.

Returns:
  the bounding volume associated with the node.

Reimplemented from openvrml::node.

viewer::object_t openvrml::vrml97_node::point_set_node::do_render_geometry | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

Insert this geometry into `viewer's` display list.

Parameters:

  | viewer | a Viewer.
  | context | the rendering context.

Reimplemented from openvrml::geometry_node.

bool openvrml::vrml97_node::point_set_node::do_emissive | ( |  | ) | const throw ()`[private, virtual]`

Indicate that point sets should be drawn with the emissive color.

Returns:
  `true`.

Reimplemented from openvrml::geometry_node.

void openvrml::vrml97_node::point_set_node::recalcBSphere | ( |  | ) | `[private]`

| Recalculate the bounding volume.

## Friends And Related Function Documentation

openvrml::vrml97_node::point_set_node::point_set_class`[friend]`

| Class object for PointSet instances.

## Member Data Documentation

exposedfield< sfnode > openvrml::vrml97_node::point_set_node::color_ `[private]`

| color exposedField.

exposedfield< sfnode > openvrml::vrml97_node::point_set_node::coord_ `[private]`

| coord exposedField.

bounding_sphere openvrml::vrml97_node::point_set_node::bsphere `[private]`

| Bounding volume.